package com.bocloud.cmp.provider.veeam.br;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.veeam.BackupModel;
import com.bocloud.nms.model.veeam.BackupObjectModel;

import java.util.List;

public interface BackupProvider extends SuperProvider {

    public BocloudResult<List<BackupModel>> listBackups();

    public BocloudResult<BackupModel> getByUuid(String id);

    public BocloudResult<List<BackupObjectModel>> getBackupObjects(String id);
}
